Locate a SIM
Interrogates the network for current location information. If the device is offline, or the current location is not available, returns the last recorded value.
Identify the SIM using either iccid or msisdn.
Optional fields
Send null without quotes for any object you do not want to set. The value remains as previously set. To set a new value, replace null with the value in quotes. To remove an existing value, send an empty string.
The session cookie established when the user logs in. Sent as
Cookie: PHPSESSID=<CookieNumber>.
The Location API username and password are sent separately, in the request body of each call.
The request was processed. Check status.status to determine whether the
lookup succeeded.
The unique Integrated Circuit Card Identifier for the located SIM.
8944500000000000000The unique primary SIM phone number (Mobile Station International ISDN Number).
447700900000Latitude value of the last cell mast that the SIM used.
51.2394Longitude value of the last cell mast that the SIM used.
-0.6036The last recorded country the SIM was in.
United KingdomThe ISO 3166 Alpha-2 code of the last recorded country the SIM was in.
GBThe TZ database name of the last recorded time zone the SIM was in.
Europe/LondonThe returned request identifier, for tracking responses.
42POST /index/locatedevice HTTP/1.1
Host: location.eseye.com
Content-Type: application/json
Accept: */*
Content-Length: 107
{
"request_id": "42",
"iccid": "8944500000000000000",
"username": "ExampleUsername",
"password": "ExamplePassword"
}The request was processed. Check status.status to determine whether the
lookup succeeded.
{
"iccid": "8944500000000000000",
"msisdn": "447700900000",
"lat": 51.2394,
"lon": -0.6036,
"countryname": "United Kingdom",
"countrycode": "GB",
"timezone": "Europe/London",
"status": {
"status": "OK",
"errorCode": "",
"errorMessage": ""
},
"request_id": "42"
}Atualizado
Isto foi útil?